package com.app.simplitend.chats.mvvm;

import androidx.lifecycle.ViewModel;

import com.app.simplitend.chats.ChatListAdapter;

import java.util.ArrayList;

public class ChatListViewModel extends ViewModel {

    private final ArrayList<ChatItem> chatItemList;
    private final ChatListAdapter chatListAdapter;

    public ChatListViewModel(){
        this.chatListAdapter = new ChatListAdapter();

        // static data
        this.chatItemList = new ArrayList<>();

        this.chatItemList.add(new ChatItem("Caregiver", "Akanksha surve", "09:00 am", "I hope you are doing alright"));
        this.chatItemList.add(new ChatItem("Doctor", "Chaitali tatkare", "11:00 am", "How was your weekend?"));
    }

    public ChatListAdapter getChatListAdapter() {
        return chatListAdapter;
    }

    public ArrayList<ChatItem> getChatItemList() {
        return chatItemList;
    }
}
